R2AGENT(1)

NAME
r2agent - Radare2 Agent HTTP Server

SYNOPSIS
r2agent [-adhsuLjv] [-p port] [-t file]

DESCRIPTION
An HTTP server providing remote access to Radare2 instances via a RESTful API. It enables remote debugging and analysis of binaries using Radare2.

-a  Listen for everyone (localhost by default)

-d  Run in daemon mode (background)

-h  Show help message

-s  Run in sandbox mode

-u  Enable HTTP authorization access

-t file
    User:password authentication file

-p port
    Specify listening port (defaults to 8080)

-v  Show r2 version information and exit

-L  List currently loaded r2 sessions and exit

-j  Output JSON when used with -v or -L (modifier; no effect alone)

ENVIRONMENT

r2agent does not use any environment variables.

EXAMPLES

Start r2agent on default port (8080):

$ r2agent

Start r2agent on port 9090:

$ r2agent -p 9090

Run r2agent in daemon mode:

$ r2agent -d

Allow connections from any IP address:

$ r2agent -a

Run with authentication enabled:

$ r2agent -u -t auth.txt

Show version (text):

$ r2agent -v

Show version (JSON):

$ r2agent -v -j

List currently loaded sessions (text):

$ r2agent -L

List currently loaded sessions (JSON):

$ r2agent -L -j

SEE ALSO

radare2(1)

AUTHORS

Written by pancake <pancake@nopcode.org>.